using Attribute;
using Common;
using Dto;
using Vo;
using Enums;
using Filters;
using Infrastructure;
using Infrastructure.Model;
using Mapster;
using Microsoft.AspNetCore.Mvc;
using Middleware;
using Model;
using Services;
using Model.Base;

namespace Controllers
{
    /// <summary>
    /// ConsumerMySelfModule)Controller
    /// </summary>
    // [Route("ConsumerMySelfModule")]
    // [ApiExplorerSettings(GroupName = "ConsumerMySelfModule")]
    public class ConsumerMySelfModuleController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IConsumerOrdersService _ConsumerOrdersService;
        private readonly IConsumerProfitService _ConsumerProfitService;


        public ConsumerMySelfModuleController(IConsumerOrdersService ConsumerOrdersService,IConsumerProfitService ConsumerProfitService)
        {
            _ConsumerOrdersService = ConsumerOrdersService;
            _ConsumerProfitService = ConsumerProfitService;

        }

        /// <summary>
        /// 消费者板块我的-订单列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>消费者板块我的-订单列表</returns>
        [HttpGet]
        [Route("/v1/lkbmall/ConsumerMySelfModule/getConsumerOrdersList")]
        public IActionResult GetConsumerOrdersList([FromQuery] PagerInfo page, [FromQuery] ConsumerMySelfModuleGetConsumerOrdersListDto parm)
        {
            var response = _ConsumerOrdersService.GetConsumerOrdersList(page, parm);
            return SUCCESS(response);
        }




        /// <summary>
        /// 消费者板块我的-分红列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>消费者板块我的-分红列表</returns>
        [HttpGet]
        [Route("/v1/lkbmall/ConsumerMySelfModule/getConsumerProfitList")]
        public IActionResult GetConsumerProfitList([FromQuery] PagerInfo page, [FromQuery] ConsumerMySelfModuleGetConsumerProfitListDto parm)
        {
            var response = _ConsumerProfitService.GetConsumerProfitList(page, parm);
            return SUCCESS(response);
        }






    }
}