using Attribute;
using Common;
using Dto;
using Vo;
using Enums;
using Filters;
using Infrastructure;
using Infrastructure.Model;
using Mapster;
using Microsoft.AspNetCore.Mvc;
using Middleware;
using Model;
using Services;
using Model.Base;
using System.Security.Permissions;
using Infrastructure.Constant;

namespace Controllers
{
    /// <summary>
    /// MerchantBussinessModule)Controller
    /// </summary>
    // [Route("MerchantBussinessModule")]
    // [ApiExplorerSettings(GroupName = "MerchantBussinessModule")]
    public class MerchantBussinessModuleController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IConsumerOrdersService _ConsumerOrdersService;


        public MerchantBussinessModuleController(IConsumerOrdersService ConsumerOrdersService)
        {
            _ConsumerOrdersService = ConsumerOrdersService;

        }

        /// <summary>
        /// 商户板块经营数据-获取经营数据详情列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块经营数据-获取经营数据详情列表</returns>
        [HttpGet]
        [Route("/v1/lkbmall/MerchantBussinessModule/getBussinessInfoDetailList")]
        public IActionResult GetBussinessInfoDetailList([FromQuery] PagerInfo page, [FromQuery] MerchantBussinessModuleGetBussinessInfoDetailListDto parm)
        {
            var response = _ConsumerOrdersService.GetBussinessInfoDetailList(page, parm);
            return SUCCESS(response);
        }




        /// <summary>
        /// 商户板块经营数据-获取订单详情
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块经营数据-获取订单详情</returns>
        [HttpGet]
        [Route("/v1/lkbmall/MerchantBussinessModule/getOrderDetail")]
        public IActionResult GetOrderDetail([FromQuery] MerchantBussinessModuleGetOrderDetailDto parm)
        {
            var response = _ConsumerOrdersService.GetFirst(x => x.MerchantId == parm.MerchantId).Adapt<MerchantBussinessModuleGetOrderDetailVo>();
            response.Consumer = Util.OpenFeign.GetInfo<ConsumerVo>(OpenFeignUrl.GetConsumerInfo, "Id=" + response.ConsumerId);
            return SUCCESS(response);
        }






    }
}