using Attribute;
using Common;
using Dto;
using Vo;
using Enums;
using Filters;
using Infrastructure;
using Infrastructure.Model;
using Mapster;
using Microsoft.AspNetCore.Mvc;
using Middleware;
using Model;
using Services;
using Model.Base;

namespace Controllers
{
    /// <summary>
    /// MerchantWorkBenchModule)Controller
    /// </summary>
    // [Route("MerchantWorkBenchModule")]
    // [ApiExplorerSettings(GroupName = "MerchantWorkBenchModule")]
    public class MerchantWorkBenchModuleController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IMerchantDepositOrdersService _MerchantDepositOrdersService;


        public MerchantWorkBenchModuleController(IMerchantDepositOrdersService MerchantDepositOrdersService)
        {
            _MerchantDepositOrdersService = MerchantDepositOrdersService;

        }

        /// <summary>
        /// 商户板块工作台-已激活商户活动时间
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块工作台-已激活商户活动时间</returns>
        [HttpGet]
        [Route("/v1/lkbmall/MerchantWorkBenchModule/getActedMerchantActivityInfo")]
        public IActionResult GetActedMerchantActivityInfo([FromQuery] MerchantWorkBenchModuleGetActedMerchantActivityInfoDto parm)
        {
            var response = _MerchantDepositOrdersService.GetFirst(x => x.MerchantId == parm.MerchantId).Adapt<MerchantWorkBenchModuleGetActedMerchantActivityInfoVo>();
            return SUCCESS(response);
        }




        /// <summary>
        /// 商户板块工作台-已激活商户达标信息
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块工作台-已激活商户达标信息</returns>
        [HttpGet]
        [Route("/v1/lkbmall/MerchantWorkBenchModule/getActedMerchantStandardsInfo")]
        public IActionResult GetActedMerchantStandardsInfo([FromQuery] MerchantWorkBenchModuleGetActedMerchantStandardsInfoDto parm)
        {
            var response = _MerchantDepositOrdersService.GetActedMerchantStandardsInfo(parm);
            return SUCCESS(response);
        }




        /// <summary>
        /// 商户板块工作台-商户激活确认订单
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块工作台-商户激活确认订单</returns>
        [HttpPost]
        [Route("/v1/lkbmall/MerchantWorkBenchModule/actMerchantConfirmOrder")]
        public IActionResult ActMerchantConfirmOrder([FromBody] MerchantWorkBenchModuleActMerchantConfirmOrderDto parm)
        {
            var modal = parm.Adapt<MerchantDepositOrders>().ToCreate(HttpContext);
            var response = _MerchantDepositOrdersService.Add(modal);
            return ToResponse(response);
        }




        /// <summary>
        /// 商户板块工作台-商户激活订单支付
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块工作台-商户激活订单支付</returns>
        [HttpPost]
        [Route("/v1/lkbmall/MerchantWorkBenchModule/actMerchantOrderPay")]
        public IActionResult ActMerchantOrderPay([FromBody] MerchantWorkBenchModuleActMerchantOrderPayDto parm)
        {
            var modal = parm.Adapt<MerchantDepositOrders>().ToCreate(HttpContext);
            var response = _MerchantDepositOrdersService.Add(modal);
            return ToResponse(response);
        }






    }
}