namespace Model
{
    /// <summary>
    /// 消费记录表 consumer_orders
    /// </summary>
    [SugarTable("consumer_orders", "消费记录表")]
    [Tenant("0")]
    public class ConsumerOrders
    {
        /// <summary>
        /// 平台订单号
        /// </summary>
        [SugarColumn(ColumnDescription = "平台订单号", Length = 50, ColumnName = "order_no")]
        public string OrderNo { get; set; }


        /// <summary>
        /// 好哒订单号
        /// </summary>
        [SugarColumn(ColumnDescription = "好哒订单号", Length = 50, ColumnName = "orderno_hd")]
        public string OrdernoHd { get; set; }


        /// <summary>
        /// 微信订单号
        /// </summary>
        [SugarColumn(ColumnDescription = "微信订单号", Length = 50, ColumnName = "wechat_order_no")]
        public string WechatOrderNo { get; set; }


        /// <summary>
        /// 支付宝订单号
        /// </summary>
        [SugarColumn(ColumnDescription = "支付宝订单号", Length = 50, ColumnName = "alipay_order_no")]
        public string AlipayOrderNo { get; set; }


        /// <summary>
        /// 支付方式
        /// </summary>
        [SugarColumn(ColumnDescription = "支付方式", ColumnName = "pay_mode")]
        public int PayMode { get; set; }


        /// <summary>
        /// 支付金额
        /// </summary>
        [SugarColumn(ColumnDescription = "支付金额", ColumnName = "pay_money")]
        public decimal PayMoney { get; set; }


        /// <summary>
        /// 来源设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "来源设备号", Length = 50, ColumnName = "equipment_no")]
        public string EquipmentNo { get; set; }


        /// <summary>
        /// 最大分红金额
        /// </summary>
        [SugarColumn(ColumnDescription = "最大分红金额", ColumnName = "max_divi")]
        public decimal MaxDivi { get; set; }


        /// <summary>
        /// 当前分红金额
        /// </summary>
        [SugarColumn(ColumnDescription = "当前分红金额", ColumnName = "cur_divi")]
        public decimal CurDivi { get; set; }


        /// <summary>
        /// 是否活动订单
        /// </summary>
        [SugarColumn(ColumnDescription = "是否活动订单", ColumnName = "is_act")]
        public int IsAct { get; set; }


        /// <summary>
        /// 实收金额
        /// </summary>
        [SugarColumn(ColumnDescription = "实收金额", ColumnName = "act_money")]
        public decimal ActMoney { get; set; }


        /// <summary>
        /// 是否分账
        /// </summary>
        [SugarColumn(ColumnDescription = "是否分账", ColumnName = "divide_flag")]
        public int DivideFlag { get; set; }


        /// <summary>
        /// 分账日志
        /// </summary>
        [SugarColumn(ColumnDescription = "分账日志", ColumnName = "divide_log")]
        public string DivideLog { get; set; }


        /// <summary>
        /// 活动记录Id
        /// </summary>
        [SugarColumn(ColumnDescription = "活动记录Id", ColumnName = "active_record_id")]
        public int ActiveRecordId { get; set; }


        /// <summary>
        /// 订单结算金额
        /// </summary>
        [SugarColumn(ColumnDescription = "订单结算金额", ColumnName = "settle_amount")]
        public decimal SettleAmount { get; set; }


        /// <summary>
        /// 返现队列标记
        /// </summary>
        [SugarColumn(ColumnDescription = "返现队列标记", ColumnName = "return_flag")]
        public int ReturnFlag { get; set; }


        /// <summary>
        /// 活动配置参数
        /// </summary>
        [SugarColumn(ColumnDescription = "活动配置参数", Length = 500, ColumnName = "active_parameter")]
        public string ActiveParameter { get; set; }


        /// <summary>
        /// 商户Id
        /// </summary>
        [SugarColumn(ColumnDescription = "商户Id", ColumnName = "merchant_id")]
        public int MerchantId { get; set; }


        /// <summary>
        /// 商户进件渠道
        /// </summary>
        [SugarColumn(ColumnDescription = "商户进件渠道", ColumnName = "merchant_channel")]
        public int MerchantChannel { get; set; }


        /// <summary>
        /// 所属代理
        /// </summary>
        [SugarColumn(ColumnDescription = "所属代理", ColumnName = "user_id")]
        public int UserId { get; set; }


        /// <summary>
        /// 消费者Id
        /// </summary>
        [SugarColumn(ColumnDescription = "消费者Id", ColumnName = "consumer_id")]
        public int ConsumerId { get; set; }


        /// <summary>
        /// 分账时间
        /// </summary>
        [SugarColumn(ColumnDescription = "分账时间", ColumnName = "divide_date")]
        public DateTime? DivideDate { get; set; }


        /// <summary>
        /// 交易月份
        /// </summary>
        [SugarColumn(ColumnDescription = "交易月份", Length = 6, ColumnName = "trade_month")]
        public string TradeMonth { get; set; }


        /// <summary>
        /// 交易日期
        /// </summary>
        [SugarColumn(ColumnDescription = "交易日期", Length = 8, ColumnName = "trade_date")]
        public string TradeDate { get; set; }



    }
}