namespace Model
{
    /// <summary>
    /// 消费者分红记录表 consumer_profit
    /// </summary>
    [SugarTable("consumer_profit", "消费者分红记录表")]
    [Tenant("0")]
    public class ConsumerProfit
    {
        /// <summary>
        /// 消费者Id
        /// </summary>
        [SugarColumn(ColumnDescription = "消费者Id", ColumnName = "consumer_id")]
        public int ConsumerId { get; set; }


        /// <summary>
        /// 商户Id
        /// </summary>
        [SugarColumn(ColumnDescription = "商户Id", ColumnName = "merchant_id")]
        public int MerchantId { get; set; }


        /// <summary>
        /// 分红金额
        /// </summary>
        [SugarColumn(ColumnDescription = "分红金额", ColumnName = "get_money")]
        public decimal GetMoney { get; set; }


        /// <summary>
        /// 返现订单Id
        /// </summary>
        [SugarColumn(ColumnDescription = "返现订单Id", ColumnName = "order_id")]
        public int OrderId { get; set; }


        /// <summary>
        /// 商户进件渠道
        /// </summary>
        [SugarColumn(ColumnDescription = "商户进件渠道", ColumnName = "merchant_channel")]
        public int MerchantChannel { get; set; }


        /// <summary>
        /// 支付方式
        /// </summary>
        [SugarColumn(ColumnDescription = "支付方式", ColumnName = "pay_mode")]
        public int PayMode { get; set; }


        /// <summary>
        /// 触发订单Id
        /// </summary>
        [SugarColumn(ColumnDescription = "触发订单Id", ColumnName = "source_order_id")]
        public int SourceOrderId { get; set; }


        /// <summary>
        /// 交易月份
        /// </summary>
        [SugarColumn(ColumnDescription = "交易月份", Length = 6, ColumnName = "trade_month")]
        public string TradeMonth { get; set; }


        /// <summary>
        /// 交易日期
        /// </summary>
        [SugarColumn(ColumnDescription = "交易日期", Length = 8, ColumnName = "trade_date")]
        public string TradeDate { get; set; }



    }
}