namespace Model
{
    /// <summary>
    /// 商户服务费缴纳记录表 merchant_deposit_orders
    /// </summary>
    [SugarTable("merchant_deposit_orders", "商户服务费缴纳记录表")]
    [Tenant("0")]
    public class MerchantDepositOrders
    {
        /// <summary>
        /// 商户Id
        /// </summary>
        [SugarColumn(ColumnDescription = "商户Id", ColumnName = "merchant_id")]
        public int MerchantId { get; set; }


        /// <summary>
        /// 所属代理Id
        /// </summary>
        [SugarColumn(ColumnDescription = "所属代理Id", ColumnName = "user_id")]
        public int UserId { get; set; }


        /// <summary>
        /// 激活支付金额
        /// </summary>
        [SugarColumn(ColumnDescription = "激活支付金额", ColumnName = "act_pay_price")]
        public decimal ActPayPrice { get; set; }


        /// <summary>
        /// 订单号
        /// </summary>
        [SugarColumn(ColumnDescription = "订单号", Length = 50, ColumnName = "order_no")]
        public string OrderNo { get; set; }


        /// <summary>
        /// 支付方式
        /// </summary>
        [SugarColumn(ColumnDescription = "支付方式", ColumnName = "pay_mode")]
        public int PayMode { get; set; }


        /// <summary>
        /// 交易月份
        /// </summary>
        [SugarColumn(ColumnDescription = "交易月份", Length = 6, ColumnName = "trade_month")]
        public string TradeMonth { get; set; }


        /// <summary>
        /// 交易日期
        /// </summary>
        [SugarColumn(ColumnDescription = "交易日期", Length = 8, ColumnName = "trade_date")]
        public string TradeDate { get; set; }



    }
}