using Model;
using Newtonsoft.Json;

namespace Vo
{
    /// <summary>
    /// 经营数据-获取订单详情
    /// </summary>
    public class MerchantBussinessModuleGetOrderDetailVo
    {
        /// <summary>
        /// 支付方式
        /// </summary>
        public int PayMode { get; set; }


        /// <summary>
        /// 支付金额
        /// </summary>
        public decimal PayMoney { get; set; }


        /// <summary>
        /// 最大分红金额
        /// </summary>
        public decimal MaxDivi { get; set; }


        /// <summary>
        /// 当前分红金额
        /// </summary>
        public decimal CurDivi { get; set; }


        /// <summary>
        /// 是否活动订单
        /// </summary>
        public int IsAct { get; set; }


        /// <summary>
        /// 返现队列标记
        /// </summary>
        public int ReturnFlag { get; set; }


        /// <summary>
        /// 商户Id
        /// </summary>
        public int MerchantId { get; set; }


        /// <summary>
        /// 商户进件渠道
        /// </summary>
        public int MerchantChannel { get; set; }


        /// <summary>
        /// 消费者Id
        /// </summary>
        public int ConsumerId { get; set; }


        /// <summary>
        /// 品牌(0 银联 1 好哒))
        /// </summary>
        public string BrandId { get; set; }


        /// <summary>
        /// 剩余返现金额
        /// </summary>
        public string LeaveDiviAmount { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        public string MerchantName { get; set; }


        /// <summary>
        /// 商户简称
        /// </summary>
        public string MerchantShortName { get; set; }


        /// <summary>
        /// ProfitList.返现记录Id
        /// </summary>
        public string DiviId { get; set; }


        /// <summary>
        /// ProfitList.返现日期
        /// </summary>
        public string DiviDate { get; set; }


        /// <summary>
        /// ProfitList.返现金额
        /// </summary>
        public string DiviAmount { get; set; }


        /// <summary>
        /// 消费者信息表
        /// </summary>
        public ConsumerVo Consumer;


        /// <summary>
        /// 商户基本信息表
        /// </summary>
        public MerchantVo Merchant;


        /// <summary>
        /// 消费者分红记录表
        /// </summary>
        public List<GetConsumerPrifitVo> GetConsumerPrifit;



    }
}
