using Attribute;
using Dto;
using Vo;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;

namespace Services
{
    /// <summary>
    /// 消费者分红记录表Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IConsumerProfitService), ServiceLifetime = LifeTime.Transient)]
    public class ConsumerProfitService : BaseService<ConsumerProfit>, IConsumerProfitService
    {
        /// <summary>
        /// 消费者板块-我的-分红列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>消费者板块我的-分红列表</returns>
        public PagedInfo<ConsumerMySelfModuleGetConsumerProfitListVo> GetConsumerProfitList([FromQuery] PagerInfo page, [FromQuery] ConsumerMySelfModuleGetConsumerProfitListDto parm)
        {
            //开始拼装查询条件
            var predicate = Expressionable.Create<ConsumerProfit>();
            predicate = predicate.AndIF(parm.PayMode != null, m => m.PayMode == parm.PayMode);
            var response = Queryable()
                .Where(predicate.ToExpression())
                .ToPage<ConsumerProfit, ConsumerMySelfModuleGetConsumerProfitListVo>(page);
            return response;
        }





    }
}
