using Dto;
using Vo;
using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;

namespace Services
{
    public interface IConsumerOrdersService : IBaseService<ConsumerOrders>
    {
        /// <summary>
        /// 商户板块-经营数据-获取经营数据详情列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块经营数据-获取经营数据详情列表</returns>
        PagedInfo<MerchantBussinessModuleGetBussinessInfoDetailListVo> GetBussinessInfoDetailList([FromQuery] PagerInfo page, [FromQuery] MerchantBussinessModuleGetBussinessInfoDetailListDto parm);


        /// <summary>
        /// 消费者板块-我的-订单列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>消费者板块我的-订单列表</returns>
        PagedInfo<ConsumerMySelfModuleGetConsumerOrdersListVo> GetConsumerOrdersList([FromQuery] PagerInfo page, [FromQuery] ConsumerMySelfModuleGetConsumerOrdersListDto parm);



    }
}
