using Attribute;
using Dto;
using Vo;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;

namespace Services
{
    /// <summary>
    /// 商户服务费缴纳记录表Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IMerchantDepositOrdersService), ServiceLifetime = LifeTime.Transient)]
    public class MerchantDepositOrdersService : BaseService<MerchantDepositOrders>, IMerchantDepositOrdersService
    {
        /// <summary>
        /// 商户板块-工作台-已激活商户达标信息
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>商户板块工作台-已激活商户达标信息</returns>
        public PagedInfo<MerchantWorkBenchModuleGetActedMerchantStandardsInfoVo> GetActedMerchantStandardsInfo([FromQuery] MerchantWorkBenchModuleGetActedMerchantStandardsInfoDto parm)
        {
            //开始拼装查询条件
            var predicate = Expressionable.Create<MerchantDepositOrders>();
            predicate = predicate.AndIF(parm.MerchantId != null, m => m.MerchantId == parm.MerchantId);
            var response = Queryable()
                .Where(predicate.ToExpression())
                .ToPage<MerchantDepositOrders, MerchantWorkBenchModuleGetActedMerchantStandardsInfoVo>(new PagerInfo());
            return response;
        }





    }
}
